/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangyan <wangyan@kylinos.cn>
 *
 */

#ifndef COMMON_H
#define COMMON_H

#include <QString>

enum class DeviceType {
    InputDevice,
    OutputDevice
};

struct Device
{
    explicit Device(QString devicename = QString(),
                    DeviceType devicetype = DeviceType::InputDevice, int id = 0)
        : name(devicename)
        , type(devicetype)
        , deviceId(id){}

    QString name;
    DeviceType type;
    int deviceId;
};

namespace env {

bool isWayland();
bool isTabletMode();

} // namespace env

#endif // COMMON_H
