/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangyan <wangyan@kylinos.cn>
 *
 */

#ifndef INPUTEVENTFILTER_H
#define INPUTEVENTFILTER_H

#include <QAbstractNativeEventFilter>
#include <QObject>

class xcb_input_hierarchy_event_t;
class InputEventFilter : public QObject, public QAbstractNativeEventFilter
{
    Q_OBJECT
public:
    explicit InputEventFilter(QObject* parent = nullptr);
    ~InputEventFilter() override = default;

    bool nativeEventFilter(const QByteArray &eventType, void *message, long *result) override;

Q_SIGNALS:
    void deviceAdded(int deviceId);
    void deviceRemoved(int deviceId);
    void deviceEnabled(int deviceId);
    void deviceDisabled(int deviceId);

private:
    void handleHierarchyEvent(const xcb_input_hierarchy_event_t *event);
};

#endif // INPUTEVENTFILTER_H
