QT += widgets core gui KScreen dbus KWaylandClient
TEMPLATE = lib
CONFIG += c++11 link_pkgconfig plugin

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

TARGET = $$qtLibraryTarget(touchscreen)
target.path = $$[QT_INSTALL_LIBS]/ukui-control-center
INSTALLS += target  \
            qm_files \

INCLUDEPATH += $$PROJECT_COMPONENTSOURCE \
                 $$PROJECT_ROOTDIR \

LIBS += -L$$[QT_INSTALL_LIBS] -lgsettings-qt -lukcc -lxcb-xinput -lxcb -lXi

PKGCONFIG += gsettings-qt

TRANSLATIONS += translations/zh_CN.ts \
                translations/mn_MN.ts \
                translations/zh_HK.ts

isEmpty(PREFIX) {
    PREFIX = /usr
}

qm_files.path = $${PREFIX}/share/TouchCalibrate/translations
qm_files.files = translations/*

CONFIG(release, debug|release) {
    !system($$PWD/translate_generation.sh): error("Failed to generate translation")
}

SOURCES += \
    configmanager.cpp \
    devicemanager.cpp \
    devicemonitor.cpp \
    inputdevicemonitor.cpp \
    inputeventfilter.cpp \
    devicehelper.cpp \
    pluginentry.cpp \
    touchscreen.cpp \
    waylandscreenmap.cpp \
    widget.cpp \
    x11inputdevicemonitor.cpp \
    waylandinputdevicemonitor.cpp \
    common.cpp


HEADERS += \
    configmanager.h \
    common.h \
    devicemanager.h \
    devicemonitor.h \
    inputdevicemonitor.h \
    inputeventfilter.h \
    devicehelper.h \
    pluginentry.h \
    touchscreen.h \
    waylandscreenmap.h \
    widget.h \
    x11inputdevicemonitor.h \
    waylandinputdevicemonitor.h

FORMS += \
    touchscreen.ui

DISTFILES += \
    translations/zh_CN.ts \
    translations/mn_MN.ts \
    translations/zh_HK.ts
