/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangyan <wangyan@kylinos.cn>
 *
 */

#ifndef WAYLANDSCREENMAP_H
#define WAYLANDSCREENMAP_H

#include <QObject>

namespace KWayland::Client {
class Registry;
class ConnectionThread;
class ScreenMap;
}
class QThread;
class WaylandScreenMap : public QObject
{
    Q_OBJECT
public:
    WaylandScreenMap(QObject* parent = nullptr);
    ~WaylandScreenMap();

    void mapToOutput(int inputDeviceId, const QString& outputName);

signals:
    void initFinish();
    void initError();

private slots:
    void setupRegistry();

private:
    void createScreenMap();

    KWayland::Client::ConnectionThread* m_connection = nullptr;
    KWayland::Client::Registry* m_registry = nullptr;
    QThread* m_thread = nullptr;
    KWayland::Client::ScreenMap* m_screenMap = nullptr;
};

#endif // WAYLANDSCREENMAP_H
