/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangyan <wangyan@kylinos.cn>
 *
 */

#include "x11inputdevicemonitor.h"
#include "inputeventfilter.h"

#include <QCoreApplication>


X11InputDeviceMonitor::X11InputDeviceMonitor(QObject* parent)
    : InputDeviceMonitor(parent)
{
    InputEventFilter* filter = new InputEventFilter(this);
    qApp->installNativeEventFilter(filter);

    connect(filter, &InputEventFilter::deviceAdded, this, &X11InputDeviceMonitor::deviceAdded);
    connect(filter, &InputEventFilter::deviceRemoved, this, &X11InputDeviceMonitor::deviceRemoved);
    connect(filter, &InputEventFilter::deviceEnabled, this, &X11InputDeviceMonitor::deviceEnabled);
    connect(filter, &InputEventFilter::deviceDisabled, this, &X11InputDeviceMonitor::deviceDisabled);
}
